Bug 70885 - Gnome application menu should be deactivated under Unity
Summary: Gnome application menu should be deactivated under Unity
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Ivan Timofeev (retired)
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2013-10-26 08:40 UTC by Jean-Baptiste Faure
Modified: 2013-11-04 05:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2013-10-26 08:40:53 UTC
Gnome application menu seems not to be expected under Unity.
Additionally, it works differently depending on the way LibreOffice 4.2 is launched. If you start LO from the dash it is identified as LibreOffice 4.2. If you open a file from its contextual menu in Nautilus, LO is identified as Unknown Application.

Best regards. JBF
Comment 1 Jean-Baptiste Faure 2013-10-26 08:43:16 UTC
Added Caolan in CC because he is the author of Gnome Application menu.

Best regards. JBF
Comment 2 Caolán McNamara 2013-10-29 09:16:17 UTC
Someone from the vast Ubuntu using community should really step up and make the necessary tweaks
Comment 3 Samuel Mehrbrodt (CIB) 2013-10-31 09:28:43 UTC
Adding to MAB 4.2
Comment 4 Commit Notification 2013-11-03 18:25:07 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e25016289d5f565ba4080625950ef6ca6487d34

fdo#70885: disable app menu under Unity



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Ivan Timofeev (retired) 2013-11-03 18:28:40 UTC
I didn't think up anything better than to detect Unity by checking for environment variables.
Comment 6 Jean-Baptiste Faure 2013-11-03 18:48:58 UTC
(In reply to comment #5)
> I didn't think up anything better than to detect Unity by checking for
> environment variables.

Thank you very much Ivan. Will test under Ubuntu 13.10.

Best regards. JBF
Comment 7 Jean-Baptiste Faure 2013-11-04 05:11:15 UTC
Verified on Ubuntu 13.10 x86-64. The application menu is not there under Unity.
BuildID: Build ID: 75761f0fbb1765cf5f5ab241c84c7af984689f95

Best regards. JBF